<?php get_header(); ?>
<section class="rabto-latest-article-section rabto-section rabto-category-post-section">
    <div class="container">
        <div class="row">
           <?php
           $category       = get_queried_object();
           $paged          = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
           $total_pages    = $wp_query->max_num_pages;
           $posts_per_page = -1;
           $cat_args       = array(
            'posts_per_page' => $posts_per_page,
            'order'          => 'DESC',
            'orderby'        => 'date',
            'cat'            => $category->term_id
        );
        $cat_query      = new WP_Query( $cat_args );?>
        <?php if ( $cat_query->have_posts() ):
            echo '<div class="rabto-main-content col-md-8 col-sm-8 col-xs-12">
            <h3 class="rabto-section-title">Category: ' . esc_attr($category->name) . '</h3>
            <div id="latest_post" class="rabto-latest-article-wrapper">';
            while ( have_posts() ): the_post(); ?>
                <!-- Latest Article -->
                <div class="rabto-latest-article">
                    <?php
                    
                    if (has_post_thumbnail()):
                        ?>
                        <div class="rabto-image-wrapper">
                            <?php the_post_thumbnail(); ?>
                        </div>
                    <?php else:
                        $img_url = get_template_directory_uri() . '/assets/images/no-image.png'; ?>
                        <div class="rabto-image-wrapper">
                            <img src="<?php echo esc_url( $img_url ); ?>" alt="No image">
                        </div>
                    <?php endif; ?>
                    <div class="rabto-latest-article-details">
                        <div
                        class="rabto-category-meta"> <?php if ( get_the_category() ) : ?><?php the_category( ' / ' );endif; ?></div>
                        <h3 class="rabto-news-post-heading">
                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                        </h3>
                        <p class="rabto-news-post-excerpt"><?php the_excerpt(); ?></p>
                        <div class="rabto-news-post-meta">
                            <span class="rabto-news-post-date"><?php the_date(); ?></span>
                            <div class="rabto-news-post-author"><?php the_author_posts_link(); ?></div>
                        </div>
                    </div>
                    <!-- End -->
                </div>
                <!-- End -->
                <?php
            endwhile;
        endif;
        wp_reset_postdata(); ?>
        <?php the_posts_pagination(); ?>
    </div>
</div>
<!-- Sidebar -->
<div class="rabto-sidebar-wrapper col-md-4 col-sm-4 col-xs-12">
    <div class="rabto-sidebar">
     <?php if ( is_active_sidebar( 'viral-blog-widgets-sidebar' ) ) :

        dynamic_sidebar('viral-blog-widgets-sidebar');

    endif;

    if ( is_active_sidebar( 'viral-blog-trending-sidebar' ) ) :

        dynamic_sidebar('viral-blog-trending-sidebar');

    endif;
    ?>
</div>
</div>
<!-- End -->
</div>
</div>
</section>
<?php get_footer(); ?>