<?php

/**

 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage Viral Blog
 * @since Viral Blog 
 */
?>
<!DOCTYPE html>

<html <?php language_attributes(); ?> class="no-js">

<head>

    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="profile" href="http://gmpg.org/xfn/11">
    <?php wp_head(); ?>

</head>

<?php if(is_singular()):

    $class="tbeer-single-post-template";

  else:

    $class="tbeer-home-template";

endif;?>
<body <?php body_class($class);?>>

  <header class="tbeer-header">

    <nav class="navbar tbeer-main-menu main-class" role="navigation">

    <!-- Top Bar -->

        <div class="tbeer-header-topbar">

              <div class="container">

                <div class="row">

                  <!-- Navbar Toggle -->

                    <div class="navbar-header">

                      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">

                          <span class="icon-bar"></span>

                          <span class="icon-bar"></span>

                          <span class="icon-bar"></span>

                      </button>

                      <!-- Logo -->

                        <?php
                        the_custom_logo();
                        if ( is_front_page() && is_home() ) :
                          ?>
                          <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                          <?php
                        else :
                          ?>
                          <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                          <?php
                        endif;
                        $viral_blog_description = get_bloginfo( 'description', 'display' );
                        if ( $viral_blog_description || is_customize_preview() ) :
                          ?>
                          <p class="site-description"><?php echo $viral_blog_description; /* WPCS: xss ok. */ ?></p>
                        <?php endif; ?>

                    </div>

                  <!-- Navbar Toggle End -->

                <?php

                if(get_theme_mod('viral_blog_social_section_enable')):
                  $facebook=get_theme_mod('viral_blog_facebook_url');

                  $twitter=get_theme_mod('viral_blog_twitter_url');

                  $google=get_theme_mod('viral_blog_googleplus_url');

                  $youtube=get_theme_mod('viral_blog_youtube_url');

                   ?>

                    <div class="tbeer-social-links">

                        <ul>

                          <?php if($facebook):?>

                              <li><a href="<?php echo esc_url($facebook);?>" target="_blank" class="tbeer-facebook"><i class="fa fa-facebook"></i></a></li>

                          <?php endif; if($twitter):?>

                              <li><a href="<?php echo esc_url($twitter);?>" target="_blank" class="tbeer-twitter"><i class="fa fa-twitter"></i></a></li>

                          <?php endif; if($google):?>

                              <li><a href="<?php echo esc_url($google);?>" target="_blank" class="tbeer-google-plus"><i class="fa fa-google-plus"></i></a></li>

                          <?php endif; if($youtube):?>

                              <li><a href="<?php echo esc_url($youtube);?>" target="_blank" class="tbeer-youtube"><i class="fa fa-youtube-play"></i></a></li>

                          <?php endif;?>

                        </ul>

                    </div>

                  <?php endif;?>                

                  <!-- Social Icons End -->

                </div>

            </div>

        </div>

    <!-- Top Bar End -->

     <!-- Bottom Bar -->

        <div class="tbeer-header-bottombar">

            <div class="container">

                <div class="row">

                    <!-- navbar-collapse start-->

                    <div id="nav-menu" class="navbar-collapse tbeer-menu-wrapper collapse" role="navigation">

                      <?php

                        wp_nav_menu( array(

                        'theme_location'    => 'primary',

                        'container'         => '',

                        'container_class'   => '',

                        'container_id'      => 'bs-example-navbar-collapse-1',

                        'menu_class'        => 'nav navbar-nav tbeer-menus',

                        'fallback_cb'       => 'viral_blog_bootstrap_navwalker::fallback',

                        'walker'            => new viral_blog_bootstrap_navwalker())

                        );?>

                    </div>

                    <!-- navbar-collapse end-->

                    <?php if(get_theme_mod('viral_blog_search_section_enable')):?>
                      <div class="tbeer-header-search-wrapper">

                        <div class="tbeer-search-form-wrapper">

                          <form role="search" method="get" role="search" action="<?php echo esc_url( home_url( '/' ) ); ?>">

                              <input type="text" id="tbeer-header-search" placeholder="<?php esc_html_e('Search The Site...','viral-blog'); ?>" name="s">                            

                          </form>

                        </div>
                        <a href="#" class="tbeer-header-search-btn"><i class="ion-ios-search-strong"></i></button></a>    

                      </div>

                    <?php endif;?>
                    <!-- Search End-->
                </div>

            </div>

        </div>       

    </nav>

  </header>