<?php

//Panel For Home/Front Option

$wp_customize->add_panel( 'viral_blog_front_option', array(
			'priority' => 20,
            'capability'     => 'edit_theme_options',
			'title' => __( 'Viral Blog Options', 'viral-blog' ),
			'description' => __( 'Select Options for Viral Blog', 'viral-blog' ),
		)
	);	



$wp_customize->add_section( 'viral_blog_social_section', array(
    'capability'            => 'edit_theme_options',
    'priority'              => 10,
    'title'                 => __( 'Viral Blog Social Options', 'viral-blog' ),
    'description'           => __( 'Show Social Media in Top Header', 'viral-blog' ),
    'panel'				=> 'viral_blog_front_option'
) );

//About section enable disable

$wp_customize->add_setting( 'viral_blog_social_section_enable', array(
    'capability'		    => 'edit_theme_options',
    'default'			    => 0,
    'sanitize_callback'     => 'viral_blog_sanitize_checkbox'
) );

$wp_customize->add_control( 'viral_blog_social_section_enable', array(
    'label'                 =>  __( 'Enable Social Section', 'viral-blog' ),
    'section'               => 'viral_blog_social_section',
    'type'                  => 'checkbox',
    'priority'              => 10,
    'settings'              => 'viral_blog_social_section_enable',
) );

$wp_customize->add_setting( 'viral_blog_facebook_url', array(
    'capability'		    => 'edit_theme_options',
    'default'			    => '',
    'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'viral_blog_facebook_url', array(
    'label'                 =>  __( 'Facebook URL', 'viral-blog' ),
    'section'               => 'viral_blog_social_section',
    'type'                  => 'url',
    'priority'              => 20,
    'settings'              => 'viral_blog_facebook_url',
) );

$wp_customize->add_setting( 'viral_blog_twitter_url', array(
    'capability'		    => 'edit_theme_options',
    'default'			    => '',
    'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'viral_blog_twitter_url', array(
    'label'                 =>  __( 'Twitter URL', 'viral-blog' ),
    'section'               => 'viral_blog_social_section',
    'type'                  => 'url',
    'priority'              => 20,
    'settings'              => 'viral_blog_twitter_url',
) );
$wp_customize->add_setting( 'viral_blog_googleplus_url', array(
    'capability'		    => 'edit_theme_options',
    'default'			    => '',
    'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'viral_blog_googleplus_url', array(
    'label'                 =>  __( 'Google Plus URL', 'viral-blog' ),
    'section'               => 'viral_blog_social_section',
    'type'                  => 'url',
    'priority'              => 20,
    'settings'              => 'viral_blog_googleplus_url',
) );
$wp_customize->add_setting( 'viral_blog_youtube_url', array(
    'capability'		    => 'edit_theme_options',
    'default'			    => '',
    'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'viral_blog_youtube_url', array(
    'label'                 =>  __( 'Youtube  URL', 'viral-blog' ),
    'section'               => 'viral_blog_social_section',
    'type'                  => 'url',
    'priority'              => 20,
    'settings'              => 'viral_blog_youtube_url',
) );

$wp_customize->add_section( 'viral_blog_general_section', array(
    'capability'            => 'edit_theme_options',
    'priority'              => 20,
    'title'                 => __( 'Viral Blog General Options', 'viral-blog' ),
    'description'           => __( 'Viral Blog General Options', 'viral-blog' ),
    'panel'				=> 'viral_blog_front_option'
) );

$wp_customize->add_setting( 'viral_blog_search_section_enable', array(
    'capability'		    => 'edit_theme_options',
    'default'			    => 0,
    'sanitize_callback'     => 'viral_blog_sanitize_checkbox'
) );

$wp_customize->add_control( 'viral_blog_search_section_enable', array(
    'label'                 =>  __( 'Enable Search Section', 'viral-blog' ),
    'section'               => 'viral_blog_general_section',
    'type'                  => 'checkbox',
    'priority'              => 10,
    'settings'              => 'viral_blog_search_section_enable',
) );

$wp_customize->add_section( 'viral_blog_footer_section', array(
    'capability'            => 'edit_theme_options',
    'priority'              => 20,
    'title'                 => __( 'Viral Blog Footer Options', 'viral-blog' ),
    'description'           => __( 'Viral Blog Footer Options', 'viral-blog' ),
    'panel'				=> 'viral_blog_front_option'
) );

$wp_customize->add_setting( 'viral_blog_footer_copyright', array(
    'capability'		    => 'edit_theme_options',
    'default'			    => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'viral_blog_footer_copyright', array(
    'label'                 =>  __( 'Footer Copyright', 'viral-blog' ),
    'section'               => 'viral_blog_footer_section',
    'type'                  => 'text',
    'priority'              => 20,
    'settings'              => 'viral_blog_footer_copyright',
) );