<?php 
get_header(); ?>
    <section class="rabto-latest-article-section rabto-section rabto-category-post-section">
        <div class="container">
            <div class="row">
                <div class="rabto-main-content col-md-8 col-sm-8 col-xs-12">
                    <h3 class="rabto-section-title"><?php echo esc_html__('Search query:','viral-blog');?> <?php echo get_search_query(); ?></h3>

                <?php
                if ( have_posts() ):
                    echo '<div id="latest_post" class="rabto-latest-article-wrapper">';
                    while ( have_posts() ) :the_post(); ?>
                        <!-- Latest Article -->
                        <div class="rabto-latest-article">
                            <?php
                            $thumbnail = get_post_thumbnail_id( $post->ID );
                            $img_url   = wp_get_attachment_image_src( $thumbnail, 'full' );
                            $alt       = get_post_meta( $thumbnail, '_wp_attachment_image_alt', true );
                            if ( $img_url ):
                                $n_img = aq_resize( $img_url[0], $width = 315, $height = 315, $crop = true, $single = true, $upscale = true ); ?>
                                <div class="rabto-image-wrapper">
                                    <img src="<?php echo esc_url( $n_img ); ?>" alt="<?php echo esc_attr( $alt ); ?>">
                                </div>
                            <?php else:
                                $img_url = get_template_directory_uri() . '/assets/images/no-image.png';
                                $n_img = aq_resize( $img_url, $width = 315, $height = 315, $crop = true, $single = true, $upscale = true ); ?>
                                <div class="rabto-image-wrapper">
                                    <img src="<?php echo esc_url( $img_url ); ?>" alt="No image">
                                </div>
                            <?php endif; ?>
                            <div class="rabto-latest-article-details">
                                <div
                                    class="rabto-category-meta"> <?php if ( get_the_category() ) : ?><?php the_category( ' / ' );endif; ?></div>
                                <h3 class="rabto-news-post-heading">
                                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                </h3>
                                <p class="rabto-news-post-excerpt"><?php the_excerpt(); ?></p>
                                <div class="rabto-news-post-meta">
                                    <span class="rabto-news-post-date"><?php echo esc_html(date( "m.d.y" )); ?></span>
                                    <div class="rabto-news-post-author"><?php the_author_posts_link(); ?></div>
                                </div>
                            </div>
                            <!-- End -->
                        </div>
                        <!-- End -->
                        <?php
                    endwhile;
                    ?>
               <?php
                    echo '</div>';
                else:
                    echo '<p>Nothing found!</p>';
                endif;
                wp_reset_postdata(); ?>
                </div>
                <!-- Sidebar -->
                <div class="rabto-sidebar-wrapper col-md-4 col-sm-4 col-xs-12">
                    <div class="rabto-sidebar">
                        <?php if ( is_active_sidebar( 'viral-blog-widgets-sidebar' ) ) :
                            dynamic_sidebar( 'viral-blog-widgets-sidebar' );
                        endif;
                        if ( is_active_sidebar( 'viral-blog-trending-sidebar' ) ) :
                            dynamic_sidebar( 'viral-blog-trending-sidebar' );
                        endif;
                        ?>
                    </div>
                </div>
                <!-- End -->
            </div>
        </div>
    </section>
<?php get_footer(); ?>