<?php // Exit if accessed directly

get_header(); ?>


<section class="tbeer-latest-article-section tbeer-section tbeer-single-post-section single-variant1">

<?php if (have_posts()) : ?>
    <?php while (have_posts()) : the_post(); ?>

    <div class="container-fluid tbeer-wrapper-top-cont v1">
        <div class="row">
            <!-- Top-cont-->
            <div class="tbeer-top-cont col-xs-12">
                <div class="tbeer-post-img-box repeatImg">
                    <?php if( has_post_thumbnail() ) : ?>
                    <img src="<?php echo esc_url( aq_resize( get_the_post_thumbnail_url( get_the_ID() ), 1000, 500, true, true, true ) ); ?>" alt="">
                    <?php endif; ?>
                </div>
                <div class="tbeer-inner-cont">
                    <?php
                    $categories = get_the_category();
                    if( !empty( $categories ) ) {
                        foreach ( $categories as $category ) {
                            echo '<a href="' . esc_url( get_category_link( $category->cat_ID ) ) . '" class="tbeer-category-meta">' . esc_html($category->cat_name) . '</a>';
                        }
                    }
                    ?>

                    <div class="wrap-tbeer-news-post-heading">
                        <h1 class="tbeer-news-post-heading"><?php the_title(); ?></h1>
                    </div>
                    <div class="tbeer-author-commnets-count">
                        <div class="tbeer-posting-time-wrapper">
                            <p><a href="<?php echo esc_url( get_author_posts_url( $post->post_author ) ); ?>" class="tbeer-author-name"><?php echo get_the_author(); ?></a><span class="tbeer-post-date"><?php echo esc_html(human_time_diff( get_the_time('U'), current_time('timestamp') )) . ' ago'; ?></span></p>
                        </div>

                        <div class="tbeer-comment-view-wrapper">
                            <ul>
                                <li class="tbeer-comments-counter">
                                    <a href="<?php comments_link(); ?>"><?php comments_number( '0 Comment', '1 Comment', '% Comments' ); ?></a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!-- / Top-cont-->
        </div>
    </div>

    <div class="container">

        <div class="row">

            <div class="tbeer-single-post-wrapper">

                <div class="tbeer-main-content col-md-8 col-sm-8 col-xs-12">

                        <div id="post-<?php the_ID(); ?>" <?php post_class("post-article");?>>

                            <div class="tbeer-news-post-excerpt"><?php the_content();?></div>

                            <?php get_template_part('partials/article-related'); ?>

                        </div>

                        <?php
                        

                            get_template_part('partials/article-author');

                        

                            get_template_part('partials/article-related-posts');

                        comments_template( '', true );
                        ?>

                    </div>

            

                 <div class="tbeer-sidebar-wrapper col-md-4 col-sm-4 col-xs-12">

                    <?php if ( is_active_sidebar( 'viral-blog-post-sidebar' ) ) {

                        dynamic_sidebar( 'viral-blog-post-sidebar' );

                     } ?>

                    <div class="tbeer-sidebar">

                         <?php if ( is_active_sidebar( 'viral-blog-widgets-sidebar' ) ) {

                            dynamic_sidebar( 'viral-blog-widgets-sidebar' );

                         } ?><?php if ( is_active_sidebar( 'viral-blog-trending-sidebar' ) ) {

                            dynamic_sidebar( 'viral-blog-trending-sidebar' );

                         } ?>

                    </div>

                </div>

            

            </div>

        </div>

    </div>

    <?php endwhile; ?>
<?php endif; ?>
</section>

<?php get_footer(); ?>